Index: snovis/head/obuild/this.obuild
===================================================================
--- snovis/head/obuild/this.obuild	(revision 6)
+++ snovis/head/obuild/this.obuild	(revision 87)
@@ -7,5 +7,5 @@
     <!-- not this : -->
 
-    <reference package="snovis" version="v1r*" file="obuild/sn.obuild"/>
+    <reference package="snovis" version="v1r*" file="obuild/snova.obuild"/>
 
     <reference package="G4Lab" version="v8r*" file="obuild/export.obuild"/>
@@ -17,22 +17,4 @@
 
     <!-- this : -->
-
-    <library name="snova">
-
-      <files>$SNOVA_ROOT/base/*.cc</files>
-      <files>$SNOVA_ROOT/vertex/*.cc</files>
-      <files>$SNOVA_ROOT/geom/*.cc</files>
-      <files>$SNOVA_ROOT/physics/*.cc</files>
-
-      <cxx_include platform="UNIX" verbatim="yes">-I${SNOVA_ROOT}</cxx_include>
-      <cxx_include platform="UNIX" verbatim="yes">-I${SNGEOM2_ROOT}/include</cxx_include>
-      <cxx_include platform="UNIX" verbatim="yes">-I${GEOMUTILS_ROOT}/include</cxx_include>
-      <cxx_include platform="Darwin" verbatim="yes">-I${BHEP_ROOT}/Darwin/include</cxx_include>
-
-      <!-- not this : -->
-      <cxx_include copy="cxx_include" from="CLHEP"/>
-      <cxx_include copy="cxx_include" from="Geant4"/>
-      <cxx_include copy="c_include" from="HDF5"/>
-    </library>
 
     <dll name="snovis">
@@ -69,11 +51,12 @@
 
     <application name="prog_snova">
-      <file>../applications/prog_snova.cc</file>
+      <file>../applications/prog_snova2.cxx</file>
 
       <!-- not this : -->
-      <cxx_include platform="UNIX" verbatim="yes">-I${SNOVA_ROOT}</cxx_include>
-      <cxx_include platform="UNIX" verbatim="yes">-I${SNGEOM2_ROOT}/include</cxx_include>
-      <cxx_include platform="UNIX" verbatim="yes">-I${GEOMUTILS_ROOT}/include</cxx_include>
-      <cxx_include platform="Darwin" verbatim="yes">-I${BHEP_ROOT}/Darwin/include</cxx_include>
+      <cxx_include platform="UNIX" verbatim="yes">-I${snova_home}</cxx_include>
+      <cxx_include platform="UNIX" verbatim="yes">-I${snova_home}/source/GeomUtils/include</cxx_include>
+      <cxx_include platform="UNIX" verbatim="yes">-I${snova_home}/source/SNgeom2/include</cxx_include>
+      <cxx_include platform="UNIX" verbatim="yes">-I${snova_home}/source/SNvertex/include</cxx_include>
+      <cxx_include platform="UNIX" verbatim="yes">-I${bhep_home}</cxx_include>
 
       <cxx_include copy="cxx_include" from="CLHEP"/>
@@ -81,8 +64,6 @@
       <cxx_include copy="c_include" from="HDF5"/>
 
-      <lib>snova</lib>
-      <lib verbatim="yes">-L${SNGEOM2_ROOT}/Darwin-i386/lib -lsngeom</lib>
-      <lib verbatim="yes">-L${GEOMUTILS_ROOT}/Darwin-i386/lib -lgeomutils</lib>
-      <lib verbatim="yes">-L${BHEP_ROOT}/Darwin/lib -lbhep</lib>
+      <lib verbatim="yes">-L${snova_home}/Darwin -lsnova -lsnvertex -lsngeom -lgeomutils</lib>
+      <lib verbatim="yes">-L${bhep_home}/Darwin -lbhep</lib>
 
       <lib copy="interfaces_lib" from="Geant4"/>
@@ -98,8 +79,9 @@
 
       <!-- not this : -->
-      <cxx_include platform="UNIX" verbatim="yes">-I${SNOVA_ROOT}</cxx_include>
-      <cxx_include platform="UNIX" verbatim="yes">-I${SNGEOM2_ROOT}/include</cxx_include>
-      <cxx_include platform="UNIX" verbatim="yes">-I${GEOMUTILS_ROOT}/include</cxx_include>
-      <cxx_include platform="Darwin" verbatim="yes">-I${BHEP_ROOT}/Darwin/include</cxx_include>
+      <cxx_include platform="UNIX" verbatim="yes">-I${snova_home}</cxx_include>
+      <cxx_include platform="UNIX" verbatim="yes">-I${snova_home}/source/GeomUtils/include</cxx_include>
+      <cxx_include platform="UNIX" verbatim="yes">-I${snova_home}/source/SNgeom2/include</cxx_include>
+      <cxx_include platform="UNIX" verbatim="yes">-I${snova_home}/source/SNvertex/include</cxx_include>
+      <cxx_include platform="UNIX" verbatim="yes">-I${bhep_home}</cxx_include>
 
       <cxx_include copy="cxx_include" from="CLHEP"/>
@@ -115,8 +97,6 @@
       <lib copy="lib" from="OnX"/>
 
-      <lib>snova</lib>
-      <lib verbatim="yes">-L${SNGEOM2_ROOT}/Darwin-i386/lib -lsngeom</lib>
-      <lib verbatim="yes">-L${GEOMUTILS_ROOT}/Darwin-i386/lib -lgeomutils</lib>
-      <lib verbatim="yes">-L${BHEP_ROOT}/Darwin/lib -lbhep</lib>
+      <lib verbatim="yes">-L${snova_home}/Darwin -lsnova -lsnvertex -lsngeom -lgeomutils</lib>
+      <lib verbatim="yes">-L${bhep_home}/Darwin -lbhep</lib>
 
       <lib copy="lib" from="HDF5"/>
@@ -150,5 +130,5 @@
       <run_path/>
 
-      <load_library_path copy="load_library_path" from="sn"/>
+      <load_library_path copy="load_library_path" from="snova"/>
 
       <load_library_path/>