Index: ovis/head/run/currentEvent.rndm
===================================================================
--- /snovis/head/run/currentEvent.rndm	(revision 95)
+++ 	(revision )
@@ -1,203 +1,0 @@
-Uvec
-2226355706
-1070136133
-0
-1072274839
-2684354560
-1072341259
-536870912
-1069255140
-0
-1072340307
-1610612736
-1072364766
-0
-1072095643
-2684354560
-1072367533
-0
-1072189296
-0
-1069160719
-0
-1071085747
-3221225472
-1071628199
-0
-1068593966
-0
-1067164900
-0
-1066590552
-0
-1071121071
-2147483648
-1072343874
-2684354560
-1072156542
-3221225472
-1071863443
-1073741824
-1071887426
-3758096384
-1070213069
-0
-1070387940
-2147483648
-1070555739
-2147483648
-1071561538
-3221225472
-1069403481
-0
-1070905533
-0
-1069930692
-2147483648
-1071683603
-536870912
-1069813486
-0
-1071724831
-1073741824
-1068902228
-0
-1070123679
-0
-1071224415
-1073741824
-1071717048
-536870912
-1071803034
-1073741824
-1071877127
-1073741824
-1069422049
-0
-1072503683
-0
-1071705195
-536870912
-1071472932
-2147483648
-1071751063
-3758096384
-1072234067
-1610612736
-1071135318
-1073741824
-1067536922
-0
-1071717977
-0
-1067453296
-0
-1070447575
-2147483648
-1071629846
-3221225472
-1072228299
-536870912
-1068350158
-0
-1072337583
-1073741824
-1072220081
-536870912
-1068300254
-0
-1070031341
-2147483648
-1072211669
-1073741824
-1071872515
-2147483648
-1069830099
-0
-1071318730
-3221225472
-1072337363
-2147483648
-1071433740
-1073741824
-1071771877
-2684354560
-1071422764
-3221225472
-1071982840
-1610612736
-1071919541
-3758096384
-1072167193
-536870912
-1072275137
-2147483648
-1070929957
-1073741824
-1070499866
-0
-1065110240
-0
-1072370768
-3758096384
-1069769781
-2147483648
-1068336806
-0
-1070935349
-1073741824
-1069990100
-0
-1071510293
-1073741824
-1072235463
-1073741824
-1065706208
-0
-1070866855
-0
-1072260655
-3221225472
-1072464261
-3758096384
-1072326975
-536870912
-1068521373
-0
-1071561667
-1073741824
-1071376280
-3221225472
-1068847833
-0
-1071861379
-3221225472
-1072672729
-1610612736
-1072454305
-536870912
-1072561011
-2147483648
-1072328387
-536870912
-1071751823
-3758096384
-1071724227
-536870912
-1071513136
-1073741824
-1072283536
-0
-1070903103
-0
-1071030015
-3221225472
-1071879271
-0
-1071559674
-0
-1071461100
-1073741824
-1072693247
-2684354560
-5
Index: ovis/head/run/currentRun.rndm
===================================================================
--- /snovis/head/run/currentRun.rndm	(revision 95)
+++ 	(revision )
@@ -1,203 +1,0 @@
-Uvec
-2226355706
-1064900448
-0
-1070171103
-0
-1071619317
-2147483648
-1072030130
-1073741824
-1071842751
-3221225472
-1072282123
-536870912
-1070570616
-0
-1070844003
-0
-1072509429
-2147483648
-1072287024
-0
-1072635392
-1073741824
-1068931623
-0
-1070623850
-3221225472
-1071672657
-2684354560
-1071395357
-3221225472
-1072568572
-536870912
-1072652244
-0
-1072084638
-536870912
-1072588075
-2147483648
-1070119832
-2147483648
-1072262282
-0
-1068488478
-0
-1069727883
-2147483648
-1070136579
-2147483648
-1072450699
-1073741824
-1070894071
-1073741824
-1069840972
-2147483648
-1071688046
-0
-1071995540
-1073741824
-1071359953
-0
-1072075974
-536870912
-1071219765
-2147483648
-1069566227
-0
-1072288444
-1610612736
-1071006065
-0
-1071782524
-2147483648
-1069156183
-0
-1071644216
-0
-1071975724
-1073741824
-1072620132
-3221225472
-1067782702
-0
-1072015074
-2147483648
-1072027502
-1073741824
-1069179469
-0
-1072312246
-2684354560
-1071518943
-1073741824
-1072145776
-3758096384
-1072225069
-1073741824
-1071660493
-3758096384
-1071071822
-1073741824
-1070792308
-1073741824
-1072360340
-2147483648
-1071364310
-1073741824
-1071154362
-0
-1070939017
-1073741824
-1071781671
-3758096384
-1072551153
-1073741824
-1072219575
-3221225472
-1072144787
-3758096384
-1069099088
-0
-1072252727
-536870912
-1068639768
-0
-1071395307
-1073741824
-1071854699
-3758096384
-1071763244
-536870912
-1069574367
-0
-1072643492
-536870912
-1071920633
-536870912
-1070997843
-0
-1072014824
-2147483648
-1072146835
-2147483648
-1072038062
-0
-1072113324
-2147483648
-1070815249
-0
-1071806762
-536870912
-1071841859
-1073741824
-1072584327
-1610612736
-1072671684
-3758096384
-1072103117
-2147483648
-1071558575
-2147483648
-1072201239
-536870912
-1072053977
-3758096384
-1071532316
-2147483648
-1072180597
-1610612736
-1071083308
-2147483648
-1071563154
-3221225472
-1071995994
-1073741824
-1072637099
-536870912
-1072547764
-2684354560
-1071765795
-2684354560
-1072244947
-1073741824
-1070237332
-0
-1071717326
-2147483648
-1070954658
-2147483648
-1071057036
-2147483648
-1071203572
-0
-1070369681
-0
-1071712883
-2684354560
-1071461100
-1073741824
-1072693247
-2684354560
-16
Index: /snovis/head/run/snova.par
===================================================================
--- /snovis/head/run/snova.par	(revision 95)
+++ /snovis/head/run/snova.par	(revision 96)
@@ -1,5 +1,5 @@
-#/////////////////////////////////////////////////////////
-#/////  File containing nemo implementation options  /////
-#/////////////////////////////////////////////////////////
+#//////////////////////////////////////////////////////////
+#/////  File containing snova implementation options  /////
+#//////////////////////////////////////////////////////////
 
 
@@ -20,4 +20,5 @@
 GLOBAL dst_fname S data/dst_test_random_Nd150_Bon.txt
 
+######### VERTEX GENERATOR SECTION ########
 
 #/////////////////////////////////
@@ -25,46 +26,98 @@
 #/////////////////////////////////
 
-# Type of vertex generator 
-# Options: "source_simple_bulk"
-#          "source_simple_surf"
-#          "input_file_name"
+# Type of vertex generator: identified by unique 'name' registred 
+# in the Vertex Generator Factory:
+# Options: "source_simple"
+#          "CALO_basic"
+#          "from_file"
 #          "spot"
-VERTEX gen_vertex S source_simple_bulk
+VERTEX VG.type S source_simple
 
-# Save vertex in a file for next runs:
-VERTEX gen_vertex_save I 0
+# the label of the vertex generator:
+VERTEX VG.label S source_simple_bluk
 
-# Vertex output file for [gen_vertex != "input_file_name"]
-VERTEX gen_vertex_save_filename S vertex.out
+# definition of a list of properties to configure the vertex generator:
+# here this is vertex randomized from the bulk volume of the source foil:
+VERTEX VG.configuration.source_simple_bluk SV 3
+locate=bulk
+save-file=Yes
+save-filename=source_simple_bluk.vtx
 
-# Vertex input file for [gen_vertex == "input_file_name"]
-VERTEX gen_vertex_filename S vertex.in
+# here this is vertex randomized from the front surface of the source foil:
+VERTEX VG.configuration.source_simple_sf SV 4
+locate=surf
+side=front
+save-file=Yes
+save-filename=source_simple_sf.vtx
 
-# Spot vertex coordinates (cm) for [gen_vertex == "spot"]
-VERTEX gen_vertex_spot V 3
-0.
-0.
-0.
+# here this is vertex randomized from the back surface of the source foil:
+VERTEX VG.configuration.source_simple_sb SV 4
+locate=surf
+side=back
+save-file=Yes
+save-filename=source_simple_sb.vtx
 
-######### PARTICLES GENERATOR SECTION ########
+# here this is vertex randomized from the both front/back surfaces of the source foil:
+VERTEX VG.configuration.source_simple_sa SV 4
+locate=surf
+side=all
+save-file=Yes
+save-filename=source_simple_sa.vtx
 
-# Generator data source ("random" or "input_file_name")
-# Options: "random"
-#          "input_file_name"
+# here this is vertex randomized from CALO blocks on wrapper front surfaces
+# from all walls
+VERTEX VG.configuration.CALO_basic_wsaf SV 5
+locate=wrapper_surf
+wall=all
+side=front
+save-file=Yes
+save-filename=CALO_basic_wsaf.vtx
 
-#GLOBAL gen_source S gen_data/test_2nubb_Nd150.txt
-GLOBAL gen_source S random
+# here this is vertex randomized from CALO blocks on wrapper back surfaces
+# from all walls
+VERTEX VG.configuration.CALO_basic_wsab SV 5
+locate=wrapper_surf
+wall=all
+side=back
+save-file=Yes
+save-filename=CALO_basic_wsab.vtx
 
-# In case of Generator data source == "random", Ekin (MeV) minimum limit
-GLOBAL gen_min_E D 0.05
+# here this is vertex randomized from CALO blocks in wrapper volume (bulk)
+# from all walls
+VERTEX VG.configuration.CALO_basic_wbaa SV 5
+locate=wrapper_bulk
+wall=all
+side=all
+save-file=Yes
+save-filename=CALO_basic_wbaa.vtx
 
-# In case of Generator data source == "random", Ekin (MeV) maximum limit
-GLOBAL gen_max_E D 3.55
+######### PRIMARY PARTICLES GENERATOR SECTION ########
+
+# this is for randomize direction of the primary event: 
+EVGEN EG.randomize_dir I 1
+
+# (E)vent (G)enerator type:
+# Options (hardcoded generators):
+# "from_genbb_file" : uses an input file from GENBB-like program
+# "single_particle" : shoot single particle in energy range
+EVGEN EG.type S from_genbb_file
+#EVGEN EG.type S single_particle
+
+# this is the input file used by the 'from_genbb_file' EG:
+EVGEN EG.from_genbb_file.source S gen_data/example_Mo100.txt
+
+# this is the input parameters for used by the 'single_particle' EG:
+EVGEN EG.single_particle.name S electron
+
+# minimal kinetic energy in keV:
+EVGEN EG.single_particle.min_energy D 500.
+
+# maximal kinetic energy in keV:
+EVGEN EG.single_particle.max_energy D 3000.
+
+######### SIM. NUMBER OF EVENTS ########
 
 # Number of events
 GLOBAL num_events I 10
-
-# Initial particles name
-GLOBAL part_name S e-
 
 
@@ -74,8 +127,12 @@
 GLOBAL geom_file S snemo.geom
 
+
+######### MISC SECTION ########
+
 # In case of visual run, display a complete view (1) or just the shape (0)
 GLOBAL DISPLAY_ALL I 0
 
 
+######### PHYSICS SECTION ########
 
 #///////////////////////////////////