Index: cmt/tags/v1r0/OpenScientist/v1r16p0/cmt/requirements
===================================================================
--- cmt/tags/v1r0/OpenScientist/v1r16p0/cmt/requirements	(revision 121)
+++ cmt/tags/v1r0/OpenScientist/v1r16p0/cmt/requirements	(revision 121)
@@ -0,0 +1,98 @@
+package OpenScientist
+version v1r16p0
+
+#////////////////////////////////////////////////////////////
+#////////////////////////////////////////////////////////////
+#////////////////////////////////////////////////////////////
+
+macro OSC_home "/usr/local/OpenScientist/v16r0"
+#macro OSC_home "/Users/barrand/OpenScientist/v16r0"
+#macro OSC_home "/lal/OpenScientist/v16r0/$(CMTCONFIG)"
+
+#////////////////////////////////////////////////////////////
+#/// To work with OpenScientist as an AIDA implementation ///
+#////////////////////////////////////////////////////////////
+
+macro OSC_AIDA_home "$(OSC_home)/Resources/AIDA" WIN32 "$(OSC_home)\Resources\AIDA"
+
+#FIXME : use the OnXLab_aida_config program.
+
+macro OSC_AIDA_incs "-I$(OSC_AIDA_home)/src/cpp" WIN32 "/I$(OSC_AIDA_home)\src\cpp"
+
+macro OSC_AIDA_linkopts "-L$(OSC_home)/lib -lOnXLabAIDA -lOnXLabCore -lBatchLabCore -losc_Minuit -lMidnight -lHCL -lOnXCore -lLibXML -losc_expat -lLibZip -lz -lLibUtils -ldl" WIN32 '/libpath:"$(OSC_home)\lib" OnXLabAIDA.lib OnXLabCore.lib BatchLabCore.lib osc_Minuit.lib Midnight.lib HCL.lib OnXCore.lib LibXML.lib osc_expat.lib LibZip.lib osc_z.lib LibUtils.lib'
+
+#//////////////////////////////////////////////////
+#/// For callbacks ////////////////////////////////
+#//////////////////////////////////////////////////
+
+macro OSC_OnX_incs "-I$(OSC_home)/Resources/Slash -I$(OSC_home)/Resources/expat/include -I$(OSC_home)/Resources/Lib/include -I$(OSC_home)/Resources/OnX/include" WIN32 "/I$(OSC_home)\Resources\Slash /I$(OSC_home)\Resources\expat\include /I$(OSC_home)\Resources\Lib\include /I$(OSC_home)\Resources\OnX\include"
+
+macro_append OSC_OnX_incs " -I$(OSC_home)/Resources/BatchLab -I$(OSC_home)/Resources/OnXLab" WIN32 "/I$(OSC_home)\Resources\BatchLab /I$(OSC_home)\Resources\OnXLab"
+
+macro OSC_OnX_linkopts "-L$(OSC_home)/lib -lOnXCore -lLibXML -losc_expat -lLibZip -lz -lLibUtils -ldl" WIN32 '/libpath:"$(OSC_home)\lib" OnXCore.lib LibXML.lib osc_expat.lib LibZip.lib osc_z.lib LibUtils.lib'
+
+macro OSC_Inventor_incs "-I$(OSC_home)/Resources/CoinGL/include -I$(OSC_home)/Resources/HEPVis/include" WIN32 "/I$(OSC_home)\Resources\CoinGL\include /I$(OSC_home\/Resources\HEPVis\include"
+
+macro OSC_Inventor_linkopts "-L$(OSC_home)/lib -lHEPVisPlotter -lHEPVisDetector -lHEPVisGeometry -lHEPVisUtils  -losc_dvi2bitmap -losc_jpeg -losc_freetype2 -losc_Coin -lLibUtils" WIN32 '/libpath:"$(OSC_home)\lib" HEPVisPlotter.lib HEPVisDetector.lib HEPVisGeometry.lib HEPVisUtils.lib osc_dvi2bitmap.lib osc_jpeg.lib osc_freetype2.lib osc_Coin.lib LibUtils.lib glu32.lib gdi32.lib user32.lib'
+
+# OpenGL :
+macro_append OSC_Inventor_linkopts " -lGLU -lGL -ldl -L/usr/X11R6/lib -lX11" Darwin " -framework ApplicationServices -framework OpenGL -framework AGL" WIN32 " opengl32.lib"
+
+# For osc_Coin :
+macro_append OSC_Inventor_linkopts "" Linux " -lpthread"
+
+#//////////////////////////////////////////////////
+#/// Geant4 related material //////////////////////
+#//////////////////////////////////////////////////
+
+macro OSC_Geant4_incs "-I$(OSC_home)/Resources/CLHEP/include -I$(OSC_home)/Resources/Geant4/include" WIN32 "/I$(OSC_home)\Resources\CLHEP\include /I$(OSC_home)\Resources\Geant4\include"
+
+macro OSC_Geant4_lib "$(OSC_home)/lib" WIN32 "$(OSC_home)\lib"
+
+macro OSC_Geant4_install "$(OSC_home)/Resources/Geant4" WIN32 "$(OSC_home)\Resources\Geant4"
+
+macro OSC_G4RADIOACTIVEDATA "${OSC_Geant4_install}/data/RadioactiveDecay" WIN32 "${OSC_Geant4_install}\data\RadioaativeDecay"
+macro OSC_G4LEVELGAMMADATA "${OSC_Geant4_install}/data/PhotonEvaporation" WIN32 "${OSC_Geant4_install}\data\PhotonEvaporation"
+macro OSC_G4LEDATA "${OSC_Geant4_install}/data/G4EMLOW" WIN32 "${OSC_Geant4_install}\data\G4EMLOW"
+macro OSC_NeutronHPCrossSections "${OSC_Geant4_install}/data/G4NDL" WIN32 "${OSC_Geant4_install}\data\G4NDL"
+
+macro OSC_G4Lab_incs "-I$(OSC_home)/Resources/G4Lab/include" WIN32 "/I$(OSC_home)\Resources\G4Lab\include"
+
+macro OSC_G4Lab_linkopts "-L$(OSC_home)/lib -lG4LabUIOnX -lG4LabCore -lG4LabHDUMMY" WIN32 '/libpath:"$(OSC_home)\lib" G4LabUIOnX.lib G4LabCore.lib G4LabHDUMMY.lib'
+
+#//////////////////////////////////////////////////
+#/// Run time /////////////////////////////////////
+#//////////////////////////////////////////////////
+
+#path_remove DYLD_LIBRARY_PATH "" Darwin "/sw/lib" WIN32 ""
+#path_append DYLD_LIBRARY_PATH "" Darwin "/sw/lib" WIN32 ""
+
+path_remove LD_LIBRARY_PATH "$(OSC_home)/lib" WIN32 "" Darwin ""
+path_append LD_LIBRARY_PATH "$(OSC_home)/lib" WIN32 "" Darwin ""
+
+path_remove LD_LIBRARY_PATH "$(OSC_home)/bin" WIN32 "" Darwin ""
+path_append LD_LIBRARY_PATH "$(OSC_home)/bin" WIN32 "" Darwin ""
+
+path_remove DYLD_LIBRARY_PATH "" Darwin "$(OSC_home)/bin"
+path_append DYLD_LIBRARY_PATH "" Darwin "$(OSC_home)/bin"
+
+path_remove DYLD_LIBRARY_PATH "" Darwin "$(OSC_home)/lib"
+path_append DYLD_LIBRARY_PATH "" Darwin "$(OSC_home)/lib"
+
+path_remove PATH "$(OSC_home)/bin" WIN32 "$(OSC_home)\bin"
+path_append PATH "$(OSC_home)/bin" WIN32 "$(OSC_home)\bin"
+
+# Linux : add the current directory to the LD_LIBRARY_PATH so that
+#         the OpenPAW on-the-fly compilation and loading works :
+#path_append LD_LIBRARY_PATH "" Linux "."
+
+set ONXSESSION	"${OSC_home}/Resources/OnX/scripts/OnX/Session.onx" WIN32 "${OSC_home}\Resources\OnX\scripts\OnX\Session.onx"
+set TTFPATH	"$(OSC_home)/Resources/HEPVis/fonts"
+set ONXROOT	"$(OSC_home)/Resources/OnX" WIN32 "$(OSC_home)\Resources\OnX"
+set ONXLABROOT	"$(OSC_home)/Resources/OnXLab" WIN32 "$(OSC_home)\Resources\OnXLab"
+
+set G4LABROOT	"$(OSC_home)/Resources/G4Lab" WIN32 "$(OSC_home)\Resources\G4Lab"
+
+set COIN_DONT_INFORM_INDIRECT_RENDERING "1"
+
+