Index: build/snova/trunk/obuild/DOS/build_lib_snova.bat
===================================================================
--- build/snova/trunk/obuild/DOS/build_lib_snova.bat	(revision 130)
+++ build/snova/trunk/obuild/DOS/build_lib_snova.bat	(revision 132)
@@ -105,10 +105,20 @@
 cd "%obuild_snova_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
+SET Geant4_home=/usr/local/geant4/8.2
+:end_if_platform_3
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_2
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_4
 SET obuild_cxx_command=c++
-:end_if_platform_2
+:end_if_platform_4
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
@@ -118,7 +128,7 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
 SET obuild_cxx_command=c++
-:end_if_platform_3
+:end_if_platform_5
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
@@ -128,17 +138,17 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_4
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_6
 SET obuild_cxx_command=cxx
-:end_if_platform_4
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
+:end_if_platform_6
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
 SET obuild_cxx_command=cl.exe
-:end_if_platform_5
+:end_if_platform_7
 SET obuild_platform_result=
 IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return
@@ -148,24 +158,4 @@
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_6
-SET obuild_cxx_optimize=-O
-:end_if_platform_6
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
-SET obuild_cxx_optimize=-O
-:end_if_platform_7
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
@@ -177,10 +167,30 @@
 cd "%obuild_snova_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
+SET obuild_cxx_optimize=-O
+:end_if_platform_9
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_10
+SET obuild_cxx_optimize=-O
+:end_if_platform_10
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
 SET obuild_cxx_optimize=/O2
-:end_if_platform_9
+:end_if_platform_11
 SET obuild_platform_result=
 
@@ -189,24 +199,4 @@
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_10
-SET obuild_cxx_debug=-g
-:end_if_platform_10
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
-SET obuild_cxx_debug=-g
-:end_if_platform_11
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
@@ -218,10 +208,30 @@
 cd "%obuild_snova_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_13
+SET obuild_cxx_debug=-g
+:end_if_platform_13
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_14
+SET obuild_cxx_debug=-g
+:end_if_platform_14
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_15
 SET obuild_cxx_debug=/ZI /Od
-:end_if_platform_13
+:end_if_platform_15
 SET obuild_platform_result=
 
@@ -232,34 +242,53 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_14
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_16
 SET obuild_cxx_options=-fPIC
-:end_if_platform_14
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_15
+:end_if_platform_16
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_17
 SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
-:end_if_platform_15
-SET obuild_platform_result=
-
-IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_snova_sh_16
+:end_if_platform_17
+SET obuild_platform_result=
+
+IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_snova_sh_18
   SET obuild_cxx_debug_local=%obuild_cxx_debug%
-  GOTO end_if_db_build_lib_snova_sh_16
-:else_if_db_build_lib_snova_sh_16
+  GOTO end_if_db_build_lib_snova_sh_18
+:else_if_db_build_lib_snova_sh_18
   SET obuild_cxx_debug_local=
-:end_if_db_build_lib_snova_sh_16
-
-IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_snova_sh_17
+:end_if_db_build_lib_snova_sh_18
+
+IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_snova_sh_19
   SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
-  GOTO end_if_opt_build_lib_snova_sh_17
-:else_if_opt_build_lib_snova_sh_17
+  GOTO end_if_opt_build_lib_snova_sh_19
+:else_if_opt_build_lib_snova_sh_19
   SET obuild_cxx_optimize_local=
-:end_if_opt_build_lib_snova_sh_17
-
-
+:end_if_opt_build_lib_snova_sh_19
+
+
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%" MKDIR "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\obuild_find.exe" (
+  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_snova_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_snova_path%\obuild\cpp\obuild_find.cpp" 1> NUL
+  IF EXIST obuild_find.obj DEL obuild_find.obj
+)
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  bhep v1r4p2`) DO SET obuild_bhep_path=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT DEFINED obuild_bhep_path  ECHO Can't find bhep package.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HDF5 v1r*`) DO SET obuild_HDF5_path=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT DEFINED obuild_HDF5_path  ECHO Can't find HDF5 package.  && GOTO obuild_return
 
 SET obuild_cxx_includes=/I"%obuild_snova_path%"
@@ -267,4 +296,5 @@
 SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_snova_path%\source\SNgeom2\include"
 SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_snova_path%\source\SNvertex\include"
+SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_bhep_path%"
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
 cd "%obuild_snova_path%\%obuild_dir_bin%"
@@ -273,8 +303,19 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_22
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_25
 SET obuild_cxx_includes=%obuild_cxx_includes% -I${CLHEP_home}/include
-:end_if_platform_22
-SET obuild_platform_result=
+:end_if_platform_25
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_26
+SET obuild_cxx_includes=%obuild_cxx_includes% -I${Geant4_home}/include
+:end_if_platform_26
+SET obuild_platform_result=
+SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_HDF5_path%\include"
 
 IF EXIST "%obuild_snova_path%\%obuild_dir_bin%\lib_snova" RMDIR /S /Q "%obuild_snova_path%\%obuild_dir_bin%\lib_snova"
@@ -380,7 +421,7 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_38
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_43
 SET obuild_cxx_linker_command=c++
-:end_if_platform_38
+:end_if_platform_43
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
@@ -390,7 +431,7 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_39
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_44
 SET obuild_cxx_linker_command=c++
-:end_if_platform_39
+:end_if_platform_44
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
@@ -400,17 +441,17 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_40
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_45
 SET obuild_cxx_linker_command=cxx
-:end_if_platform_40
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_41
+:end_if_platform_45
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_46
 SET obuild_cxx_linker_command=link.exe
-:end_if_platform_41
+:end_if_platform_46
 SET obuild_platform_result=
 IF "%obuild_cxx_linker_command%" == ""  ECHO Variable obuild_cxx_linker_command not defined.  && GOTO obuild_return
@@ -422,7 +463,7 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_42
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_47
 SET obuild_cxx_linker_debug=-g
-:end_if_platform_42
+:end_if_platform_47
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
@@ -432,7 +473,7 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_43
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_48
 SET obuild_cxx_linker_debug=-g
-:end_if_platform_43
+:end_if_platform_48
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
@@ -442,43 +483,43 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_44
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_49
 SET obuild_cxx_linker_debug=-g
-:end_if_platform_44
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_45
+:end_if_platform_49
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_50
 SET obuild_cxx_linker_debug=/DEBUG
-:end_if_platform_45
-SET obuild_platform_result=
-
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_46
+:end_if_platform_50
+SET obuild_platform_result=
+
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_51
 SET obuild_cxx_linker_options=/nologo
-:end_if_platform_46
-SET obuild_platform_result=
-
-IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_snova_sh_47
+:end_if_platform_51
+SET obuild_platform_result=
+
+IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_snova_sh_52
   SET obuild_cxx_linker_debug_local=%obuild_cxx_linker_debug%
-  GOTO end_if_db_build_lib_snova_sh_47
-:else_if_db_build_lib_snova_sh_47
+  GOTO end_if_db_build_lib_snova_sh_52
+:else_if_db_build_lib_snova_sh_52
   SET obuild_cxx_linker_debug_local=
-:end_if_db_build_lib_snova_sh_47
-
-IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_snova_sh_48
+:end_if_db_build_lib_snova_sh_52
+
+IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_snova_sh_53
   SET obuild_cxx_linker_optimize_local=%obuild_cxx_linker_optimize%
-  GOTO end_if_opt_build_lib_snova_sh_48
-:else_if_opt_build_lib_snova_sh_48
+  GOTO end_if_opt_build_lib_snova_sh_53
+:else_if_opt_build_lib_snova_sh_53
   SET obuild_cxx_linker_optimize_local=
-:end_if_opt_build_lib_snova_sh_48
+:end_if_opt_build_lib_snova_sh_53
 
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d