Index: build/snova/trunk/obuild/DOS/build_lib_snova.bat
===================================================================
--- build/snova/trunk/obuild/DOS/build_lib_snova.bat	(revision 151)
+++ build/snova/trunk/obuild/DOS/build_lib_snova.bat	(revision 199)
@@ -324,35 +324,35 @@
 @IF %obuild_verbose% == yes @ECHO ON 
 cd "%obuild_snova_path%\%obuild_dir_bin%"
+%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_snova\event.obj  /Tp"..\source\snova\base\event.cc" 1> cl_exe_error
+@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
+cd "%obuild_snova_path%\obuild"
+
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_snova\generator.obj  /Tp"..\source\snova\base\generator.cc" 1> cl_exe_error
+@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
+cd "%obuild_snova_path%\obuild"
+
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_snova\run.obj  /Tp"..\source\snova\base\run.cc" 1> cl_exe_error
+@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
+cd "%obuild_snova_path%\obuild"
+
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_snova\snova_const.obj  /Tp"..\source\snova\base\snova_const.cc" 1> cl_exe_error
+@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
+cd "%obuild_snova_path%\obuild"
+
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_snova\snova_mgr.obj  /Tp"..\source\snova\base\snova_mgr.cc" 1> cl_exe_error
+@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
+cd "%obuild_snova_path%\obuild"
+
+cd "%obuild_snova_path%\%obuild_dir_bin%"
 %obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_snova\snova_utils.obj  /Tp"..\source\snova\base\snova_utils.cc" 1> cl_exe_error
-@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
-cd "%obuild_snova_path%\obuild"
-
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_snova\event.obj  /Tp"..\source\snova\base\event.cc" 1> cl_exe_error
-@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
-cd "%obuild_snova_path%\obuild"
-
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_snova\generator.obj  /Tp"..\source\snova\base\generator.cc" 1> cl_exe_error
-@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
-cd "%obuild_snova_path%\obuild"
-
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_snova\run.obj  /Tp"..\source\snova\base\run.cc" 1> cl_exe_error
-@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
-cd "%obuild_snova_path%\obuild"
-
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_snova\snova_const.obj  /Tp"..\source\snova\base\snova_const.cc" 1> cl_exe_error
-@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
-@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
-cd "%obuild_snova_path%\obuild"
-
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_snova\snova_mgr.obj  /Tp"..\source\snova\base\snova_mgr.cc" 1> cl_exe_error
 @IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
 @IF NOT ERRORLEVEL 1 @DEL cl_exe_error