Index: build/snova/trunk/obuild/DOS/build_lib_snova_ui.bat
===================================================================
--- build/snova/trunk/obuild/DOS/build_lib_snova_ui.bat	(revision 203)
+++ build/snova/trunk/obuild/DOS/build_lib_snova_ui.bat	(revision 241)
@@ -115,10 +115,30 @@
 cd "%obuild_snova_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
+SET HDF5_home=/usr/local/HDF5/1.6.5
+:end_if_platform_5
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
+SET zlib_home=/usr
+:end_if_platform_7
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_4
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_8
 SET obuild_cxx_command=c++
-:end_if_platform_4
+:end_if_platform_8
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
@@ -128,7 +148,7 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
 SET obuild_cxx_command=c++
-:end_if_platform_5
+:end_if_platform_9
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
@@ -138,17 +158,17 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_6
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_10
 SET obuild_cxx_command=cxx
-:end_if_platform_6
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
+:end_if_platform_10
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
 SET obuild_cxx_command=cl.exe
-:end_if_platform_7
+:end_if_platform_11
 SET obuild_platform_result=
 IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return
@@ -160,7 +180,7 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_8
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_12
 SET obuild_cxx_optimize=-O
-:end_if_platform_8
+:end_if_platform_12
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
@@ -170,7 +190,7 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_13
 SET obuild_cxx_optimize=-O
-:end_if_platform_9
+:end_if_platform_13
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
@@ -180,17 +200,17 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_10
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_14
 SET obuild_cxx_optimize=-O
-:end_if_platform_10
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
+:end_if_platform_14
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_15
 SET obuild_cxx_optimize=/O2
-:end_if_platform_11
+:end_if_platform_15
 SET obuild_platform_result=
 
@@ -201,7 +221,7 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_12
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_16
 SET obuild_cxx_debug=-g
-:end_if_platform_12
+:end_if_platform_16
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
@@ -211,7 +231,7 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_13
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_17
 SET obuild_cxx_debug=-g
-:end_if_platform_13
+:end_if_platform_17
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
@@ -221,17 +241,17 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_14
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_18
 SET obuild_cxx_debug=-g
-:end_if_platform_14
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_15
+:end_if_platform_18
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_19
 SET obuild_cxx_debug=/ZI /Od
-:end_if_platform_15
+:end_if_platform_19
 SET obuild_platform_result=
 
@@ -242,32 +262,32 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_16
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_20
 SET obuild_cxx_options=-fPIC
-:end_if_platform_16
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_17
+:end_if_platform_20
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_21
 SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
-:end_if_platform_17
-SET obuild_platform_result=
-
-IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_snova_ui_sh_18
+:end_if_platform_21
+SET obuild_platform_result=
+
+IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_snova_ui_sh_22
   SET obuild_cxx_debug_local=%obuild_cxx_debug%
-  GOTO end_if_db_build_lib_snova_ui_sh_18
-:else_if_db_build_lib_snova_ui_sh_18
+  GOTO end_if_db_build_lib_snova_ui_sh_22
+:else_if_db_build_lib_snova_ui_sh_22
   SET obuild_cxx_debug_local=
-:end_if_db_build_lib_snova_ui_sh_18
-
-IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_snova_ui_sh_19
+:end_if_db_build_lib_snova_ui_sh_22
+
+IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_snova_ui_sh_23
   SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
-  GOTO end_if_opt_build_lib_snova_ui_sh_19
-:else_if_opt_build_lib_snova_ui_sh_19
+  GOTO end_if_opt_build_lib_snova_ui_sh_23
+:else_if_opt_build_lib_snova_ui_sh_23
   SET obuild_cxx_optimize_local=
-:end_if_opt_build_lib_snova_ui_sh_19
+:end_if_opt_build_lib_snova_ui_sh_23
 
 
@@ -284,11 +304,4 @@
 SET obuild_pwd_snova_0=
 IF NOT DEFINED obuild_bhep_path  ECHO Can't find bhep package.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HDF5 v1r*`) DO SET obuild_HDF5_path=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT DEFINED obuild_HDF5_path  ECHO Can't find HDF5 package.  && GOTO obuild_return
 
 SET obuild_cxx_includes=/I"%obuild_snova_path%"
@@ -303,19 +316,28 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_25
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_29
 SET obuild_cxx_includes=%obuild_cxx_includes% -I${CLHEP_home}/include
-:end_if_platform_25
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_26
+:end_if_platform_29
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_30
 SET obuild_cxx_includes=%obuild_cxx_includes% -I${Geant4_home}/include
-:end_if_platform_26
-SET obuild_platform_result=
-SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_HDF5_path%\include"
+:end_if_platform_30
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_31
+SET obuild_cxx_includes=%obuild_cxx_includes% -I${HDF5_home}/include
+:end_if_platform_31
+SET obuild_platform_result=
 
 IF EXIST "%obuild_snova_path%\%obuild_dir_bin%\lib_snova_ui" RMDIR /S /Q "%obuild_snova_path%\%obuild_dir_bin%\lib_snova_ui"
@@ -343,7 +365,7 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_30
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_34
 SET obuild_cxx_linker_command=c++
-:end_if_platform_30
+:end_if_platform_34
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
@@ -353,7 +375,7 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_31
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_35
 SET obuild_cxx_linker_command=c++
-:end_if_platform_31
+:end_if_platform_35
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
@@ -363,17 +385,17 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_32
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_36
 SET obuild_cxx_linker_command=cxx
-:end_if_platform_32
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_33
+:end_if_platform_36
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_37
 SET obuild_cxx_linker_command=link.exe
-:end_if_platform_33
+:end_if_platform_37
 SET obuild_platform_result=
 IF "%obuild_cxx_linker_command%" == ""  ECHO Variable obuild_cxx_linker_command not defined.  && GOTO obuild_return
@@ -385,7 +407,7 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_34
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_38
 SET obuild_cxx_linker_debug=-g
-:end_if_platform_34
+:end_if_platform_38
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
@@ -395,7 +417,7 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_35
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_39
 SET obuild_cxx_linker_debug=-g
-:end_if_platform_35
+:end_if_platform_39
 SET obuild_platform_result=
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
@@ -405,43 +427,43 @@
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_36
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_40
 SET obuild_cxx_linker_debug=-g
-:end_if_platform_36
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_37
+:end_if_platform_40
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_41
 SET obuild_cxx_linker_debug=/DEBUG
-:end_if_platform_37
-SET obuild_platform_result=
-
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_38
+:end_if_platform_41
+SET obuild_platform_result=
+
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_42
 SET obuild_cxx_linker_options=/nologo
-:end_if_platform_38
-SET obuild_platform_result=
-
-IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_snova_ui_sh_39
+:end_if_platform_42
+SET obuild_platform_result=
+
+IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_snova_ui_sh_43
   SET obuild_cxx_linker_debug_local=%obuild_cxx_linker_debug%
-  GOTO end_if_db_build_lib_snova_ui_sh_39
-:else_if_db_build_lib_snova_ui_sh_39
+  GOTO end_if_db_build_lib_snova_ui_sh_43
+:else_if_db_build_lib_snova_ui_sh_43
   SET obuild_cxx_linker_debug_local=
-:end_if_db_build_lib_snova_ui_sh_39
-
-IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_snova_ui_sh_40
+:end_if_db_build_lib_snova_ui_sh_43
+
+IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_snova_ui_sh_44
   SET obuild_cxx_linker_optimize_local=%obuild_cxx_linker_optimize%
-  GOTO end_if_opt_build_lib_snova_ui_sh_40
-:else_if_opt_build_lib_snova_ui_sh_40
+  GOTO end_if_opt_build_lib_snova_ui_sh_44
+:else_if_opt_build_lib_snova_ui_sh_44
   SET obuild_cxx_linker_optimize_local=
-:end_if_opt_build_lib_snova_ui_sh_40
+:end_if_opt_build_lib_snova_ui_sh_44
 
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d